
Redmine - Defect #31946

No log message when MailHandler ignored a reply to a nonexistent issue, journal, or message

2019-08-25 10:16 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed Affected version:  

Description

MailHandler silently ignores a reply to a nonexistent issue or reply. It makes troubleshooting really difficult.

Associated revisions

Revision 18480 - 2019-09-19 11:38 - Go MAEDA

Log info messages when MailHandler ignored a reply to a nonexistent issue, journal, or message (#31946).

Patch by Go MAEDA.

Revision 18509 - 2019-09-24 06:48 - Toshi MARUYAMA

add missing fixtures to MailHandlerTest (#31946)

History

#1 - 2019-08-25 10:19 - Go MAEDA

- File 0001-Output-log-entry-when-MailHandler-ignored-a-reply-to.patch added

- Target version set to Candidate for next major release

Here is a patch to fix this issue.

#2 - 2019-08-26 01:16 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

Setting the target version to 4.1.0.

#3 - 2019-09-02 15:33 - Go MAEDA

- Target version changed from 4.1.0 to Candidate for next major release

The patch cannot be cleanly applied due to r18404.

#4 - 2019-09-14 06:24 - Go MAEDA

- File 0001-Log-info-messages-when-MailHandler-ignored-a-reply-t.patch added

- Subject changed from No log entry when MailHandler ignored a reply to a nonexistent issue or message to No log when MailHandler ignored a reply

to a nonexistent issue, journal, or message

- Target version changed from Candidate for next major release to 4.1.0

Go MAEDA wrote:

The patch cannot be cleanly applied due to r18404.

 Updated the patch.

#5 - 2019-09-19 11:39 - Go MAEDA

- Subject changed from No log when MailHandler ignored a reply to a nonexistent issue, journal, or message to No log message when MailHandler

ignored a reply to a nonexistent issue, journal, or message
- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.

Files

0001-Output-log-entry-when-MailHandler-ignored-a-reply-to.patch 4.21 KB 2019-08-25 Go MAEDA

0001-Log-info-messages-when-MailHandler-ignored-a-reply-t.patch 5.09 KB 2019-09-14 Go MAEDA
